# Shinobi Duel

- A game by Kevin Koroveshi (kvkoroveshi@wpi.edu) and Alex Lanz (salanz@wpi.edu)


### Compilation and System Information
- This program was developed both on Windows and Linux
- Howevere for thisfinal submission just a Windows executable was submitted
- In order to play the game download the Shinobi-Duel.zip file and extract it to your computer
- Then if you open the folder you can run the Shinobi-Duel.exe file. Make sure to leave it in the extracted folder

### General Game Information
- Shinobi Duel is a competitive 2D platform fighter meant to be played locally by 2 players on the same keyboard.
- The goal of the game is to deplete the opponents health.
- Players can attack each other with a shuriken and a melee attack.
- Controls for player 1 / red ninja are WASD for movement, E to throw shuriken, and R to melee.
- Controls for player 2 / blue ninja are arrow keys for movement, / to throw shuriken, and . to melee.
- Melee attacks can be used to hit shurikens back to your opponent 
- Space is used to start the game from the main menu
- The Q key quits the game at any time

### File Information
- All necessary sprites are in the sprites folder
- The Ninja Sprite is a modified version of the Dragonfly Fruit Ninja Tutorial
- Sprites associated with GameStart and GameOver were created with https://patorjk.com/.
- All sounds and Music were custom made by Kevin

- Block.cpp/.h: Object used to create floor, walls, and platforms.
- EventGameStart.cpp/.h: Custom event to send to augment the state of the ninjas such that they are in game mode.
- GameOver.cpp/.h: GameOver object, for handling terminal condition and reseting game.
- GameStart.cpp/.h: GameStart object, for handling title screen and player entrance into game.
- HPBox.cpp/.h: Child of viewbox, displays health of ninjas. 
- Ninja.cpp/.h: Ninja object, the two playable characters are ninjas.
- Shuriken.cpp/.h: Main weapon of the Ninjas. A rojectile.
- Melee.cpp/.h: The Ninjas melee attack which deals more damage at close range and can deflect nija stars. 
- Shinobi-Duel.cpp: The main file, used to start up game engine and initialize game.


## Final Project versus Alpha 

### Audio assets!
- All 3 songs were created by Kevin for this project.
- All individual sfx's were pulled from jsfxr, a free online 8 bit sfx bank/generator.

### Sprite assets!
- Animations added for the new melee/parry functionality

### New File/Feature information
- Melee/parry functionality implemented, associated Melee.cpp/.h files created and implemented.